<?php
if(!empty($_POST['kol']) AND !empty($_POST['phone'])){
$kol=intval($_POST['kol']);
$cost=round($kol*0.06,2);
$phone=htmlspecialchars($_POST['phone']);
$ku['id']=intval($_POST['kuid']);

$response =
json_decode(file_get_contents('http://unitpay.ru/api/get/partner?method=billing.mc.initPayment&params[phone]='.$phone.'&params[sum]='.$cost.'&params[account]='.$ku['id'].'&params[projectId]=35'));
 
if (isset($response->result)) {
    echo 'Успех';
header("Location: http://vferme.com/payment/mobile/ok-$cost ");exit;
} else if (!empty($result->error->message)) {
    echo 'Ошибка UnitPay: '.$result->error->message;
header("Location: http://vferme.com/payment/mobile/error-$result->error->message ");exit;
} else {
    echo 'Ошибка соединения '.$data.'';
header("Location: http://vferme.com/payment/mobile/error-connect");exit;
}
}

?>